View Issue Details

IDProjectCategoryView StatusLast Update
0001520XdebugStep Debuggingpublic2019-02-28 17:52
Reporterderick Assigned Toderick  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.6.0beta1 
Target Version2.7.0Fixed in Version2.7.0 
Summary0001520: Xdebug does not handle variable names with "-" in their name
DescriptionStep over this script and check variable contents:

<?php
$child = new stdClass;
$child->bar = 42;

$obj = new stdClass;
$name = "with-\0-null-char";
$obj->$name = $child;

die();
?>
Additional InformationA log is attached
TagsNo tags attached.
Operating System
PHP Version7.2.0-7.2.4

Relationships

has duplicate 0001478 resolvedderick Object properties with dash can't be inspected 

Activities

derick

2018-01-22 16:25

administrator  

xdebug_2.6_escaped_null.log (38,685 bytes)   
Log opened at 2018-01-22 11:51:53
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/user/PhpstormProjects/xdebug_escaping/null-char/xdebug-escaped-char0.php" language="PHP" xdebug:language_version="7.1.1" protocol_version="1.0" appid="25371" idekey="15310"><engine version="2.6.0beta2-dev"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2018 by Derick Rethans]]></copyright></init>

<- feature_set -i 1 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

<- feature_set -i 2 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

<- feature_set -i 3 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

<- feature_set -i 4 -n extended_properties -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="extended_properties" success="1"></response>

<- status -i 5
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="5" status="starting" reason="ok"></response>

<- step_into -i 6
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="6" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/xdebug_escaping/null-char/xdebug-escaped-char0.php" lineno="2"></xdebug:message></response>

<- breakpoint_set -i 7 -t line -f file:///home/user/PhpstormProjects/xdebug_escaping/null-char/xdebug-escaped-char0.php -n 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="7" id="253710001"></response>

<- stack_get -i 8
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="8"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/xdebug_escaping/null-char/xdebug-escaped-char0.php" lineno="2"></stack></response>

<- run -i 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="9" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/xdebug_escaping/null-char/xdebug-escaped-char0.php" lineno="9"></xdebug:message></response>

<- stack_get -i 10
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="10"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/xdebug_escaping/null-char/xdebug-escaped-char0.php" lineno="9"></stack></response>

<- context_names -i 11
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="11"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_names -i 12
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="12"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 13 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="13" context="0"><property name="$child" fullname="$child" type="object" classname="stdClass" children="1" numchildren="1" page="0" pagesize="100"><property name="bar" fullname="$child-&gt;bar" facet="public" type="int"><![CDATA[42]]></property></property><property name="$name" fullname="$name" type="string" size="16" encoding="base64"><![CDATA[d2l0aC0ALW51bGwtY2hhcg==]]></property><property name="$obj" fullname="$obj" type="object" classname="stdClass" children="1" numchildren="1" page="0" pagesize="100"><property facet="public" type="object" children="1" numchildren="1"><name encoding="base64"><![CDATA[d2l0aC0ALW51bGwtY2hhcg==]]></name><fullname encoding="base64"><![CDATA[JG9iai0+d2l0aC0ALW51bGwtY2hhcg==]]></fullname><classname encoding="base64"><![CDATA[c3RkQ2xhc3M=]]></classname></property></property></response>

<- context_get -i 14 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="14" context="0"><property name="$child" fullname="$child" type="object" classname="stdClass" children="1" numchildren="1" page="0" pagesize="100"><property name="bar" fullname="$child-&gt;bar" facet="public" type="int"><![CDATA[42]]></property></property><property name="$name" fullname="$name" type="string" size="16" encoding="base64"><![CDATA[d2l0aC0ALW51bGwtY2hhcg==]]></property><property name="$obj" fullname="$obj" type="object" classname="stdClass" children="1" numchildren="1" page="0" pagesize="100"><property facet="public" type="object" children="1" numchildren="1"><name encoding="base64"><![CDATA[d2l0aC0ALW51bGwtY2hhcg==]]></name><fullname encoding="base64"><![CDATA[JG9iai0+d2l0aC0ALW51bGwtY2hhcg==]]></fullname><classname encoding="base64"><![CDATA[c3RkQ2xhc3M=]]></classname></property></property></response>

<- context_get -i 15 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="82" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="160" encoding="base64"><![CDATA[L2hvbWUvdXNlci9hbmFjb25kYTIvYmluOi9ob21lL3VzZXIvYmluOi9ob21lL3VzZXIvLmxvY2FsL2JpbjovdXNyL2xvY2FsL3NiaW46L3Vzci9sb2NhbC9iaW46L3Vzci9zYmluOi91c3IvYmluOi9zYmluOi9iaW46L3Vzci9nYW1lczovdXNyL2xvY2FsL2dhbWVzOi9zbmFwL2Jpbg==]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="22" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uWGF1dGhvcml0eQ==]]></property><property name="LC_MEASUREMENT" fullname="$_SERVER[&quot;LC_MEASUREMENT&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LC_TELEPHONE" fullname="$_SERVER[&quot;LC_TELEPHONE&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&quot;XMODIFIERS&quot;]" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="69" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLzovdmFyL2xpYi9zbmFwZC9kZXNrdG9w]]></property><property name="LC_TIME" fullname="$_SERVER[&quot;LC_TIME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PAPERSIZE" fullname="$_SERVER[&quot;PAPERSIZE&quot;]" type="string" size="6" encoding="base64"><![CDATA[bGV0dGVy]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&quot;GTK_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtMDNaYmF5ZDA1Sw==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&quot;XDG_CURRENT_DESKTOP&quot;]" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&quot;QT4_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&quot;UPSTART_SESSION&quot;]" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNDYx]]></property><property name="QT_LINUX_ACCESSIBILITY_ALWAYS_ON" fullname="$_SERVER[&quot;QT_LINUX_ACCESSIBILITY_ALWAYS_ON&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_PAPER" fullname="$_SERVER[&quot;LC_PAPER&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE1MzEw]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="53" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXI=]]></property><property name="JOB" fullname="$_SERVER[&quot;JOB&quot;]" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&quot;IM_CONFIG_PHASE&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fVVM6ZW4=]]></property><property name="WINDOWID" fullname="$_SERVER[&quot;WINDOWID&quot;]" type="string" size="8" encoding="base64"><![CDATA[NDYyMzkwODI=]]></property><property name="LESSOPEN" fullname="$_SERVER[&quot;LESSOPEN&quot;]" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_ADDRESS" fullname="$_SERVER[&quot;LC_ADDRESS&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="INSTANCE" fullname="$_SERVER[&quot;INSTANCE&quot;]" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="GTK2_MODULES" fullname="$_SERVER[&quot;GTK2_MODULES&quot;]" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="35" encoding="base64"><![CDATA[L2hvbWUvdXNlci9pZGUvaWRlYS1JVS0xODEuMjc2Ny9iaW4=]]></property><property name="UPSTART_INSTANCE" fullname="$_SERVER[&quot;UPSTART_INSTANCE&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&quot;GNOME_DESKTOP_SESSION_ID&quot;]" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&quot;CLUTTER_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="XDG_SESSION_PATH" fullname="$_SERVER[&quot;XDG_SESSION_PATH&quot;]" type="string" size="40" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZXNzaW9uMA==]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&quot;SESSIONTYPE&quot;]" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="1405" encoding="base64"><![CDATA[cnM9MDpkaT0wMTszNDpsbj0wMTszNjptaD0wMDpwaT00MDszMzpzbz0wMTszNTpkbz0wMTszNTpiZD00MDszMzswMTpjZD00MDszMzswMTpvcj00MDszMTswMTptaT0wMDpzdT0zNzs0MTpzZz0zMDs0MzpjYT0zMDs0MTp0dz0zMDs0Mjpvdz0zNDs0MjpzdD0zNzs0NDpleD0wMTszMjoqLnRhcj0wMTszMToqLnRnej0wMTszMToqLmFyYz0wMTszMToqLmFyaj0wMTszMToqLnRhej0wMTszMToqLmxoYT0wMTszMToqLmx6ND0wMTszMToqLmx6aD0wMTszMToqLmx6bWE9MDE7MzE6Ki50bHo9MDE7MzE6Ki50eHo9MDE7MzE6Ki50em89MDE7MzE6Ki50N3o9MDE7MzE6Ki56aXA9MDE7MzE6Ki56PTAxOzMxOiouWj0wMTszMToqLmR6PTAxOzMxOiouZ3o9MDE7MzE6Ki5scno9MDE7MzE6Ki5sej0wMTszMToqLmx6bz0wMTszMToqLnh6PTAxOzMxOiouYnoyPTAxOzMxOiouYno9MDE7MzE6Ki50Yno9MDE7MzE6Ki50YnoyPTAxOzMxOioudHo9MDE7MzE6Ki5kZWI9MDE7MzE6Ki5ycG09MDE7MzE6Ki5qYXI9MDE7MzE6Ki53YXI9MDE7MzE6Ki5lYXI9MDE7MzE6Ki5zYXI9MDE7MzE6Ki5yYXI9MDE7MzE6Ki5hbHo9MDE7MzE6Ki5hY2U9MDE7MzE6Ki56b289MDE7MzE6Ki5jcGlvPTAxOzMxOiouN3o9MDE7MzE6Ki5yej0wMTszMToqLmNhYj0wMTszMToqLmpwZz0wMTszNToqLmpwZWc9MDE7MzU6Ki5naWY9MDE7MzU6Ki5ibXA9MDE7MzU6Ki5wYm09MDE7MzU6Ki5wZ209MDE7MzU6Ki5wcG09MDE7MzU6Ki50Z2E9MDE7MzU6Ki54Ym09MDE7MzU6Ki54cG09MDE7MzU6Ki50aWY9MDE7MzU6Ki50aWZmPTAxOzM1OioucG5nPTAxOzM1Oiouc3ZnPTAxOzM1Oiouc3Znej0wMTszNToqLm1uZz0wMTszNToqLnBjeD0wMTszNToqLm1vdj0wMTszNToqLm1wZz0wMTszNToqLm1wZWc9MDE7MzU6Ki5tMnY9MDE7MzU6Ki5ta3Y9MDE7MzU6Ki53ZWJtPTAxOzM1Oioub2dtPTAxOzM1OioubXA0PTAxOzM1OioubTR2PTAxOzM1OioubXA0dj0wMTszNToqLnZvYj0wMTszNToqLnF0PTAxOzM1OioubnV2PTAxOzM1Oioud212PTAxOzM1OiouYQ==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_IDENTIFICATION" fullname="$_SERVER[&quot;LC_IDENTIFICATION&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LC_MONETARY" fullname="$_SERVER[&quot;LC_MONETARY&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LESSCLOSE" fullname="$_SERVER[&quot;LESSCLOSE&quot;]" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="UPSTART_JOB" fullname="$_SERVER[&quot;UPSTART_JOB&quot;]" type="string" size="21" encoding="base64"><![CDATA[Z25vbWUtc2V0dGluZ3MtZGFlbW9u]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&quot;QT_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&quot;XFILESEARCHPATH&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XDG_SEAT_PATH" fullname="$_SERVER[&quot;XDG_SEAT_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZWF0MA==]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&quot;GNOME_KEYRING_CONTROL&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="LC_NAME" fullname="$_SERVER[&quot;LC_NAME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="_" fullname="$_SERVER[&quot;_&quot;]" type="string" size="9" encoding="base64"><![CDATA[Li9pZGVhLnNo]]></property><property name="GDM_LANG" fullname="$_SERVER[&quot;GDM_LANG&quot;]" type="string" size="5" encoding="base64"><![CDATA[ZW5fVVM=]]></property><property name="XDG_GREETER_DATA_DIR" fullname="$_SERVER[&quot;XDG_GREETER_DATA_DIR&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3Zhci9saWIvbGlnaHRkbS1kYXRhL3VzZXI=]]></property><property name="UPSTART_EVENTS" fullname="$_SERVER[&quot;UPSTART_EVENTS&quot;]" type="string" size="16" encoding="base64"><![CDATA[c3RhcnRlZCBzdGFydGluZw==]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="33" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NDIwNQ==]]></property><property name="LC_NUMERIC" fullname="$_SERVER[&quot;LC_NUMERIC&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="NLSPATH" fullname="$_SERVER[&quot;NLSPATH&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&quot;QT_QPA_PLATFORMTHEME&quot;]" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&quot;GNOME_KEYRING_PID&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1516621913.6986]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1516621913]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[1]]></property></property></response>

<- context_get -i 16 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="82" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="160" encoding="base64"><![CDATA[L2hvbWUvdXNlci9hbmFjb25kYTIvYmluOi9ob21lL3VzZXIvYmluOi9ob21lL3VzZXIvLmxvY2FsL2JpbjovdXNyL2xvY2FsL3NiaW46L3Vzci9sb2NhbC9iaW46L3Vzci9zYmluOi91c3IvYmluOi9zYmluOi9iaW46L3Vzci9nYW1lczovdXNyL2xvY2FsL2dhbWVzOi9zbmFwL2Jpbg==]]></property><property name="XAUTHORITY" fullname="$_SERVER[&quot;XAUTHORITY&quot;]" type="string" size="22" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uWGF1dGhvcml0eQ==]]></property><property name="LC_MEASUREMENT" fullname="$_SERVER[&quot;LC_MEASUREMENT&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LC_TELEPHONE" fullname="$_SERVER[&quot;LC_TELEPHONE&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&quot;XMODIFIERS&quot;]" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&quot;MANDATORY_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&quot;GDMSESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&quot;XDG_DATA_DIRS&quot;]" type="string" size="69" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLzovdmFyL2xpYi9zbmFwZC9kZXNrdG9w]]></property><property name="LC_TIME" fullname="$_SERVER[&quot;LC_TIME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PAPERSIZE" fullname="$_SERVER[&quot;PAPERSIZE&quot;]" type="string" size="6" encoding="base64"><![CDATA[bGV0dGVy]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&quot;GTK_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&quot;DBUS_SESSION_BUS_ADDRESS&quot;]" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtMDNaYmF5ZDA1Sw==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&quot;DEFAULTS_PATH&quot;]" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&quot;XDG_CURRENT_DESKTOP&quot;]" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&quot;QT4_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&quot;UPSTART_SESSION&quot;]" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xNDYx]]></property><property name="QT_LINUX_ACCESSIBILITY_ALWAYS_ON" fullname="$_SERVER[&quot;QT_LINUX_ACCESSIBILITY_ALWAYS_ON&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_PAPER" fullname="$_SERVER[&quot;LC_PAPER&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LOGNAME" fullname="$_SERVER[&quot;LOGNAME&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&quot;XDEBUG_CONFIG&quot;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE1MzEw]]></property><property name="PWD" fullname="$_SERVER[&quot;PWD&quot;]" type="string" size="53" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXI=]]></property><property name="JOB" fullname="$_SERVER[&quot;JOB&quot;]" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&quot;IM_CONFIG_PHASE&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&quot;LANGUAGE&quot;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fVVM6ZW4=]]></property><property name="WINDOWID" fullname="$_SERVER[&quot;WINDOWID&quot;]" type="string" size="8" encoding="base64"><![CDATA[NDYyMzkwODI=]]></property><property name="LESSOPEN" fullname="$_SERVER[&quot;LESSOPEN&quot;]" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="SHELL" fullname="$_SERVER[&quot;SHELL&quot;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_ADDRESS" fullname="$_SERVER[&quot;LC_ADDRESS&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="INSTANCE" fullname="$_SERVER[&quot;INSTANCE&quot;]" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="GTK2_MODULES" fullname="$_SERVER[&quot;GTK2_MODULES&quot;]" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="OLDPWD" fullname="$_SERVER[&quot;OLDPWD&quot;]" type="string" size="35" encoding="base64"><![CDATA[L2hvbWUvdXNlci9pZGUvaWRlYS1JVS0xODEuMjc2Ny9iaW4=]]></property><property name="UPSTART_INSTANCE" fullname="$_SERVER[&quot;UPSTART_INSTANCE&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&quot;GNOME_DESKTOP_SESSION_ID&quot;]" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="GTK_MODULES" fullname="$_SERVER[&quot;GTK_MODULES&quot;]" type="string" size="15" encoding="base64"><![CDATA[Z2FpbDphdGstYnJpZGdl]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&quot;CLUTTER_IM_MODULE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="XDG_SESSION_PATH" fullname="$_SERVER[&quot;XDG_SESSION_PATH&quot;]" type="string" size="40" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZXNzaW9uMA==]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&quot;SESSIONTYPE&quot;]" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="LS_COLORS" fullname="$_SERVER[&quot;LS_COLORS&quot;]" type="string" size="1405" encoding="base64"><![CDATA[cnM9MDpkaT0wMTszNDpsbj0wMTszNjptaD0wMDpwaT00MDszMzpzbz0wMTszNTpkbz0wMTszNTpiZD00MDszMzswMTpjZD00MDszMzswMTpvcj00MDszMTswMTptaT0wMDpzdT0zNzs0MTpzZz0zMDs0MzpjYT0zMDs0MTp0dz0zMDs0Mjpvdz0zNDs0MjpzdD0zNzs0NDpleD0wMTszMjoqLnRhcj0wMTszMToqLnRnej0wMTszMToqLmFyYz0wMTszMToqLmFyaj0wMTszMToqLnRhej0wMTszMToqLmxoYT0wMTszMToqLmx6ND0wMTszMToqLmx6aD0wMTszMToqLmx6bWE9MDE7MzE6Ki50bHo9MDE7MzE6Ki50eHo9MDE7MzE6Ki50em89MDE7MzE6Ki50N3o9MDE7MzE6Ki56aXA9MDE7MzE6Ki56PTAxOzMxOiouWj0wMTszMToqLmR6PTAxOzMxOiouZ3o9MDE7MzE6Ki5scno9MDE7MzE6Ki5sej0wMTszMToqLmx6bz0wMTszMToqLnh6PTAxOzMxOiouYnoyPTAxOzMxOiouYno9MDE7MzE6Ki50Yno9MDE7MzE6Ki50YnoyPTAxOzMxOioudHo9MDE7MzE6Ki5kZWI9MDE7MzE6Ki5ycG09MDE7MzE6Ki5qYXI9MDE7MzE6Ki53YXI9MDE7MzE6Ki5lYXI9MDE7MzE6Ki5zYXI9MDE7MzE6Ki5yYXI9MDE7MzE6Ki5hbHo9MDE7MzE6Ki5hY2U9MDE7MzE6Ki56b289MDE7MzE6Ki5jcGlvPTAxOzMxOiouN3o9MDE7MzE6Ki5yej0wMTszMToqLmNhYj0wMTszMToqLmpwZz0wMTszNToqLmpwZWc9MDE7MzU6Ki5naWY9MDE7MzU6Ki5ibXA9MDE7MzU6Ki5wYm09MDE7MzU6Ki5wZ209MDE7MzU6Ki5wcG09MDE7MzU6Ki50Z2E9MDE7MzU6Ki54Ym09MDE7MzU6Ki54cG09MDE7MzU6Ki50aWY9MDE7MzU6Ki50aWZmPTAxOzM1OioucG5nPTAxOzM1Oiouc3ZnPTAxOzM1Oiouc3Znej0wMTszNToqLm1uZz0wMTszNToqLnBjeD0wMTszNToqLm1vdj0wMTszNToqLm1wZz0wMTszNToqLm1wZWc9MDE7MzU6Ki5tMnY9MDE7MzU6Ki5ta3Y9MDE7MzU6Ki53ZWJtPTAxOzM1Oioub2dtPTAxOzM1OioubXA0PTAxOzM1OioubTR2PTAxOzM1OioubXA0dj0wMTszNToqLnZvYj0wMTszNToqLnF0PTAxOzM1OioubnV2PTAxOzM1Oioud212PTAxOzM1OiouYQ==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&quot;XDG_SESSION_DESKTOP&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&quot;SHLVL&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_IDENTIFICATION" fullname="$_SERVER[&quot;LC_IDENTIFICATION&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LC_MONETARY" fullname="$_SERVER[&quot;LC_MONETARY&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LESSCLOSE" fullname="$_SERVER[&quot;LESSCLOSE&quot;]" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="UPSTART_JOB" fullname="$_SERVER[&quot;UPSTART_JOB&quot;]" type="string" size="21" encoding="base64"><![CDATA[Z25vbWUtc2V0dGluZ3MtZGFlbW9u]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&quot;QT_IM_MODULE&quot;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="TERM" fullname="$_SERVER[&quot;TERM&quot;]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&quot;XFILESEARCHPATH&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&quot;XDG_CONFIG_DIRS&quot;]" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XDG_SEAT_PATH" fullname="$_SERVER[&quot;XDG_SEAT_PATH&quot;]" type="string" size="37" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZWF0MA==]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&quot;GNOME_KEYRING_CONTROL&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&quot;LANG&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&quot;XDG_SESSION_TYPE&quot;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&quot;XDG_SESSION_ID&quot;]" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="DISPLAY" fullname="$_SERVER[&quot;DISPLAY&quot;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="LC_NAME" fullname="$_SERVER[&quot;LC_NAME&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="_" fullname="$_SERVER[&quot;_&quot;]" type="string" size="9" encoding="base64"><![CDATA[Li9pZGVhLnNo]]></property><property name="GDM_LANG" fullname="$_SERVER[&quot;GDM_LANG&quot;]" type="string" size="5" encoding="base64"><![CDATA[ZW5fVVM=]]></property><property name="XDG_GREETER_DATA_DIR" fullname="$_SERVER[&quot;XDG_GREETER_DATA_DIR&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3Zhci9saWIvbGlnaHRkbS1kYXRhL3VzZXI=]]></property><property name="UPSTART_EVENTS" fullname="$_SERVER[&quot;UPSTART_EVENTS&quot;]" type="string" size="16" encoding="base64"><![CDATA[c3RhcnRlZCBzdGFydGluZw==]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&quot;DESKTOP_SESSION&quot;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&quot;GPG_AGENT_INFO&quot;]" type="string" size="33" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&quot;QT_ACCESSIBILITY&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="VTE_VERSION" fullname="$_SERVER[&quot;VTE_VERSION&quot;]" type="string" size="4" encoding="base64"><![CDATA[NDIwNQ==]]></property><property name="LC_NUMERIC" fullname="$_SERVER[&quot;LC_NUMERIC&quot;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SEAT" fullname="$_SERVER[&quot;XDG_SEAT&quot;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&quot;SSH_AUTH_SOCK&quot;]" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="NLSPATH" fullname="$_SERVER[&quot;NLSPATH&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&quot;QT_QPA_PLATFORMTHEME&quot;]" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&quot;XDG_RUNTIME_DIR&quot;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&quot;XDG_VTNR&quot;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&quot;GNOME_KEYRING_PID&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&quot;PATH_TRANSLATED&quot;]" type="string" size="78" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3hkZWJ1Z19lc2NhcGluZy9udWxsLWNoYXIveGRlYnVnLWVzY2FwZWQtY2hhcjAucGhw]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1516621913.6986]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1516621913]]></property><property name="argv" fullname="$_SERVER[&quot;argv&quot;]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&quot;argc&quot;]" type="int"><![CDATA[1]]></property></property></response>

<- context_get -i 17 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17" context="2"></response>

<- context_get -i 18 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="18" context="2"></response>

<- property_get -i 19 -n "$obj->with-\0-null-char" -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="19" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

<- run -i 20
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="20" status="stopping" reason="ok"></response>

<- run -i 21
Log closed at 2018-01-22 11:52:03

xdebug_2.6_escaped_null.log (38,685 bytes)   

Issue History

Date Modified Username Field Change
2018-01-22 16:25 derick New Issue
2018-01-22 16:25 derick File Added: xdebug_2.6_escaped_null.log
2018-01-29 21:51 derick Assigned To => derick
2018-01-29 21:51 derick Status new => confirmed
2018-01-29 21:56 derick Relationship added has duplicate 0001478
2018-09-20 07:42 derick Target Version 2.6.0dev => 2.7.0dev
2019-01-22 21:58 derick Target Version 2.7.0dev => 2.7.0
2019-02-28 17:52 derick Status confirmed => closed
2019-02-28 17:52 derick Resolution open => fixed
2019-02-28 17:52 derick Fixed in Version => 2.7.0
2020-03-12 16:33 derick Category Remote Debugging => Step Debugging